Package io.github.jdbcx

# Class WrappedDriver

java.lang.Object
io.github.jdbcx.driver.AbstractDriver
io.github.jdbcx.WrappedDriver

All Implemented Interfaces:
  `Driver`, `DriverAction`

public final class WrappedDriver extends AbstractDriver

## Constructor Summary

Constructors
Constructor
Description
`WrappedDriver()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMajorVersion()`
`int`
`getMinorVersion()`
`Logger`
`getParentLogger()`
`boolean`
`jdbcCompliant()`

### Methods inherited from class io.github.jdbcx.driver.AbstractDriver

`acceptsURL, connect, deregister, getActualDriver, getDriverInfo, getPropertyInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrappedDriver

public WrappedDriver()

## Method Details

### getMajorVersion

public int getMajorVersion()

### getMinorVersion

public int getMinorVersion()

### jdbcCompliant

public boolean jdbcCompliant()

### getParentLogger

public Logger getParentLogger() throws SQLFeatureNotSupportedException

Throws:
  `SQLFeatureNotSupportedException`